#!/sbin/openrc-run
# Copyright 1999-2019 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

name="Apache Archiva"
start_stop_daemon_args="-u archiva:archiva"
pidfile="/run/apache-archiva/archiva.pid"

command="${ARCHIVA_PROG}"
command_args="/etc/apache-archiva/wrapper.conf wrapper.syslog.ident=\"Archiva\" wrapper.syslog.level=DEBUG wrapper.daemonize=TRUE ${ARCHIVA_OPTS}"

extra_commands="status"

depend() {
	need net
	use logger
}

start_pre() {
	rm -rf ${ARCHIVA_TMPDIR}
	mkdir ${ARCHIVA_TMPDIR}
	chown archiva:archiva ${ARCHIVA_TMPDIR}
	checkpath --directory --owner archiva:archiva --mode 0775 \
	        /var/run/apache-archiva
}

