# Copyright 2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

PYTHON_COMPAT=( python2_7 python3_6 )
inherit distutils-r1

DESCRIPTION="Requests-File is a transport adapter via file:// for Requests library."
HOMEPAGE="https://github.com/dashea/requests-file"
GITHUB_USER="dashea"
GITHUB_TAG="${PV}"
SRC_URI="https://github.com/${GITHUB_USER}/${PN}/archive/${GITHUB_TAG}.tar.gz -> ${P}.tar.gz"

LICENSE=""
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

DEPEND=""
RDEPEND="
		>=dev-python/requests-1.1[${PYTHON_USEDEP}]
		dev-python/six[${PYTHON_USEDEP}]
"
BDEPEND=""
