# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=5

inherit eutils

DESCRIPTION="Very small utility to convert TTF files to EOT."
HOMEPAGE="https://github.com/wget/ttf2eot/"
SRC_URI="https://github.com/wget/${PN}/archive/v${PV}.tar.gz"
RESTRICT="primaryuri"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64"
IUSE=""

DEPEND=""
RDEPEND="${DEPEND}"

src_compile() {
	emake || die "Failed compiling ttf2eot."
}

src_install() {
	exeinto /usr/bin
	doexe ttf2eot
	dodoc ChangeLog README
}
