# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$

EAPI=5
inherit font

DESCRIPTION="Pixel-perfect reproductions of the original raster fonts!"
HOMEPAGE="http://int10h.org/oldschool-pc-fonts/"
SRC_URI="https://int10h.org/oldschool-pc-fonts/download/oldschool_pc_font_pack_v${PV}_linux.zip"

LICENSE="CC-SA 4.0"
SLOT="0"
KEYWORDS="amd64 arm ~arm64 x86 ~x64-macos"
IUSE=""

DEPEND="app-arch/unzip"
RESTRICT="binchecks strip"

_FONTS='ttf - Ac (aspect-corrected)'

src_prepare() {
	einfo "Using Fonts: ${_FONTS}"
	mv "${WORKDIR}/${_FONTS}" "${WORKDIR}/${P}"
}

S="${WORKDIR}"

FONT_S="${S}/${P}"
FONT_SUFFIX="ttf"


